using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.IO;

namespace Linearis_programozas
{
    public partial class Form4 : Form
    {   
        public Form4(string curDir, string name, int skal)
        {
            InitializeComponent();
            string S;
            string openf = curDir;
            openf+="\\";
            openf+=name;
            if (skal == 1) openf += "(scaled)";
            openf += ".SOL";

            StreamReader SR;

            SR = File.OpenText(openf);
            while ((S = SR.ReadLine()) != null)//S != null)
            {
                richTextBox1.AppendText(S);
                richTextBox1.AppendText("\n");
            }          
        }

        
    }
}